This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979310 - Update archetype jboss-spring-mvc-archetype to reference correct versions from EAP 6.1.0 and WFK 2.3.0 maven repositories
Update archetype jboss-spring-mvc-archetype to reference correct versions fro...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 2.3.0
Assigned To: Tejas Mehta
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 04:07 EDT by Tomas Repel
Modified: 2013-10-22 08:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:32:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JDF-393 Major Resolved Update archetype jboss-spring-mvc-archetype to reference correct versions from EAP 6.1.0 maven repository 2015-08-31 23:09:08 EDT

  None (edit)
Description Tomas Repel 2013-06-28 04:07:03 EDT
Description of problem:

Use the archetype org.jboss.spring.archetypes:jboss-spring-mvc-archetype:1.0.0.Final to generate a project, set enterprise property to true.
The versions in generated pom.xml should be aligned for use with WFK 2.3.0 and EAP 6.1.0 maven repositories.
change version of com.redhat.jboss.wfk.boms:spring-3.2-bom to 2.3.0-redhat-1,
change version of org.jboss.bom:jboss-javaee-6.0-with-hibernate to 1.0.4.Final-redhat-wfk-2
add dependency (either to <dependency> or <dependencyManagement> section):

<dependency>
  <groupId>dom4j</groupId>
  <artifactId>dom4j</artifactId>
  <version>1.6.1-redhat-5</version>
</dependency>

The pom.xml also defines property `version.spring` (with value 3.2.2.RELEASE) that is never used (the Spring Framework version is specified by Spring-3.2 BOM).

Version-Release number of selected component (if applicable):

org.jboss.spring.archetypes:jboss-spring-mvc-archetype:1.0.0.Final
WFK 2.3.0.CR1
EAP 6.1.0

How reproducible:

Always.

Steps to Reproduce:
1. generate project using jboss-spring-mvc-archetype, version 1.0.0.Final
2. build project using WFK 2.3.0.CR1 and EAP 6.1.0 maven repositories

Actual results:

[ERROR]     Non-resolvable import POM: Failure to find com.redhat.jboss.wfk.boms:spring-3.2-bom:pom:2.2.0-redhat-1 in http://repo1.maven.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central-repository has elapsed or updates are forced @ line 45, column 25 -> [Help 2]
[ERROR]     Non-resolvable import POM: Failure to find org.jboss.bom:jboss-javaee-6.0-with-hibernate:pom:1.0.4.Final-redhat-wfk-1 in http://repo1.maven.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central-repository has elapsed or updates are forced @ line 53, column 25 -> [Help 2]

Expected results:

It builds without errors.
Comment 1 Tejas Mehta 2013-06-28 09:30:15 EDT
Fixed here: https://github.com/jboss-eap/wfk-archetypes.

Should I wait till WFK 2.3 GA, to release it?
Comment 2 Marek Novotny 2013-07-01 02:36:12 EDT
You don't have to wait for WFK 2.3.0 release. Stage the release and let QE know to verify that. That's enough.
Comment 5 Tomas Repel 2013-07-02 10:07:41 EDT
Verified, the staged archetype works with WFK 2.3.0 and EAP 6.1.0 maven repositories.
Comment 8 JBoss JIRA Server 2013-10-22 08:47:13 EDT
Tomas Repel <trepel@redhat.com> updated the status of jira JDF-393 to Resolved

Note You need to log in before you can comment on or make changes to this bug.